CCMCreateTask (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.ccm, class: CCMCreateTask

Package org.apache.tools.ant.taskdefs.optional.ccm

# Class CCMCreateTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.ccm.Continuus
org.apache.tools.ant.taskdefs.optional.ccm.CCMCreateTask

All Implemented Interfaces:
  `Cloneable`, `ExecuteStreamHandler`

public class CCMCreateTask extends Continuus implements ExecuteStreamHandler
Creates new Continuus ccm task and sets it as the default.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FLAG_COMMENT`
  /comment -- comments associated to the task
  `static final String`
  `FLAG_PLATFORM`
  /platform flag -- target platform
  `static final String`
  `FLAG_RELEASE`
  /release flag
  `static final String`
  `FLAG_RESOLVER`
  /resolver flag
  `static final String`
  `FLAG_SUBSYSTEM`
  /release flag
  `static final String`
  `FLAG_TASK`
  -task flag -- associate checkout task with task

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

  `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CREATE_TASK, COMMAND_DEFAULT_TASK, COMMAND_RECONFIGURE`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CCMCreateTask()`
  Constructor for CCMCreateTask.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Executes the task.
  `String`
  `getComment()`
  Get the value of comment.
  `String`
  `getPlatform()`
  Get the value of platform.
  `String`
  `getRelease()`
  Get the value of release.
  `String`
  `getResolver()`
  Get the value of resolver.
  `String`
  `getSubSystem()`
  Get the value of subSystem.
  `String`
  `getTask()`
  Get the value of task.
  `void`
  `setComment(String v)`
  Specifies a comment.
  `void`
  `setPlatform(String v)`
  Specifies the target platform.
  `void`
  `setProcessErrorStream(InputStream is)`
  Install a handler for the error stream of the subprocess.
  `void`
  `setProcessInputStream(OutputStream param1)`
  Install a handler for the input stream of the subprocess.
  `void`
  `setProcessOutputStream(InputStream is)`
  read the output stream to retrieve the new task number.
  `void`
  `setRelease(String v)`
  Specify the CCM release.
  `void`
  `setResolver(String v)`
  Specifies the resolver.
  `void`
  `setSubSystem(String v)`
  Specifies the subsystem.
  `void`
  `setTask(String v)`
  Specifies the task number used to checkin the file (may use 'default').
  `void`
  `start()`
  Start handling of the streams.
  `void`
  `stop()`
  Stop handling of the streams - will not be restarted.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

  `getCcmAction, getCcmCommand, run, run, setCcmAction, setCcmDir`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_COMMENT

    public static final String FLAG_COMMENT
    /comment -- comments associated to the task
    See Also:
      - Constant Field Values

  - ### FLAG_PLATFORM

    public static final String FLAG_PLATFORM
    /platform flag -- target platform
    See Also:
      - Constant Field Values

  - ### FLAG_RESOLVER

    public static final String FLAG_RESOLVER
    /resolver flag
    See Also:
      - Constant Field Values

  - ### FLAG_RELEASE

    public static final String FLAG_RELEASE
    /release flag
    See Also:
      - Constant Field Values

  - ### FLAG_SUBSYSTEM

    public static final String FLAG_SUBSYSTEM
    /release flag
    See Also:
      - Constant Field Values

  - ### FLAG_TASK

    public static final String FLAG_TASK
    -task flag -- associate checkout task with task
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CCMCreateTask

    public CCMCreateTask()
    Constructor for CCMCreateTask.

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Executes the task.

    Builds a command line to execute ccm and then calls Exec's run method to execute the command line.

    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - on error

  - ### getComment

    public String getComment()
    Get the value of comment.
    Returns:
      value of comment.

  - ### setComment

    public void setComment(String v)
    Specifies a comment.
    Parameters:
      `v` - Value to assign to comment.

  - ### getPlatform

    public String getPlatform()
    Get the value of platform.
    Returns:
      value of platform.

  - ### setPlatform

    public void setPlatform(String v)
    Specifies the target platform.
    Parameters:
      `v` - Value to assign to platform.

  - ### getResolver

    public String getResolver()
    Get the value of resolver.
    Returns:
      value of resolver.

  - ### setResolver

    public void setResolver(String v)
    Specifies the resolver.
    Parameters:
      `v` - Value to assign to resolver.

  - ### getRelease

    public String getRelease()
    Get the value of release.
    Returns:
      value of release.

  - ### setRelease

    public void setRelease(String v)
    Specify the CCM release.
    Parameters:
      `v` - Value to assign to release.

  - ### getSubSystem

    public String getSubSystem()
    Get the value of subSystem.
    Returns:
      value of subSystem.

  - ### setSubSystem

    public void setSubSystem(String v)
    Specifies the subsystem.
    Parameters:
      `v` - Value to assign to subSystem.

  - ### getTask

    public String getTask()
    Get the value of task.
    Returns:
      value of task.

  - ### setTask

    public void setTask(String v)
    Specifies the task number used to checkin the file (may use 'default').
    Parameters:
      `v` - Value to assign to task.

  - ### start

    public void start() throws IOException
    Description copied from interface: `ExecuteStreamHandler`
    Start handling of the streams.
    Specified by:
      `start` in interface `ExecuteStreamHandler`
    Throws:
      `IOException` - on error

  - ### stop

    public void stop()
    Description copied from interface: `ExecuteStreamHandler`
    Stop handling of the streams - will not be restarted.
    Specified by:
      `stop` in interface `ExecuteStreamHandler`

  - ### setProcessInputStream

    public void setProcessInputStream(OutputStream param1) throws IOException
    Description copied from interface: `ExecuteStreamHandler`
    Install a handler for the input stream of the subprocess.
    Specified by:
      `setProcessInputStream` in interface `ExecuteStreamHandler`
    Parameters:
      `param1` - the output stream
    Throws:
      `IOException` - on error

  - ### setProcessErrorStream

    public void setProcessErrorStream(InputStream is) throws IOException
    Description copied from interface: `ExecuteStreamHandler`
    Install a handler for the error stream of the subprocess.
    Specified by:
      `setProcessErrorStream` in interface `ExecuteStreamHandler`
    Parameters:
      `is` - the input stream
    Throws:
      `IOException` - on error

  - ### setProcessOutputStream

    public void setProcessOutputStream(InputStream is) throws IOException
    read the output stream to retrieve the new task number.
    Specified by:
      `setProcessOutputStream` in interface `ExecuteStreamHandler`
    Parameters:
      `is` - InputStream
    Throws:
      `IOException` - on error